@import 'import';

body {
    background-color: $default-color;
}

.form {

    width: 100%;
    background-color: $white-color;
    border-radius: 5px;
    box-shadow: 0 0 10px 2px #888888;

    @include functionMarginYX('', 5, 2);
    @include functionMarginYX(md, 4, 2);
    
    @include breakpoint(md) {
        max-width: 50vw;
    }
    @include breakpoint(xl) {
        max-width: 40vw;
    }

    &-wrapper {
        @include flex-parent(row, nowrap, center, center, center);
    }

    &-header {
        @include flex-parent(column, nowrap, center, center, center);

        @include functionPadding('', '', 2);
        @include functionMargin(b, '', 1);

        & img {
            @include functionMargin(b, '', 3);
        }
    }

    &-body {
        width: 100%;
        
        @include breakpoint(sm) {
            max-width: 400px;
        }
        @include breakpoint(md) {
            max-width: 450px;
        }
        @include breakpoint(xl) {
            max-width: 350px;
        }
        
        // @include functionPadding(x, '', 1);
        // @include functionPadding(x, sm, 5);
        // @include functionPadding(x, md, 4);
    }

    &-footer {
        width: 100%;
        min-height: 30px;
    
        @include functionPaddingYX('', 2, 3);
        @include functionMarginYX('', 2, 1);
    
        &-copyright {
            width: 100%;
            text-align: center;

            & p {
                margin: 0;
            }
        }
    }
}